Bug 503252 - Review Request: freepv - Immersive panorama viewer
Review Request: freepv - Immersive panorama viewer
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2009-05-29 19:16 EDT by Bruno Postle
Modified: 2009-07-01 16:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-01 12:25:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bruno Postle 2009-05-29 19:16:17 EDT
Spec URL: http://bpostle.fedorapeople.org/reviews/freepv/freepv.spec
SRPM URL: http://bpostle.fedorapeople.org/reviews/freepv/freepv-0.3.0-1.fc10.src.rpm
Description:

This rpm includes two patches from upstream SVN, one for gcc-4.4.0 compilation and another to build the library dynamically.

FreePV is a viewer for QuickTimeVR (QTVR), SPiV, cylindrical, cubic and
cylindrical panoramas.  The package provides a standalone panorama viewer.
Install the freepv-plugin package for a Firefox/Mozilla plugin.
Comment 1 Susi Lehtola 2009-05-30 05:56:57 EDT
This looks like a package that's probably covered with patents, since it's related with QuickTime.

Can we get an opinion from legal? (Blocking FE-LEGAL).
Comment 2 Bruno Postle 2009-05-30 06:15:54 EDT
Hi the QuickTime .mov container format is openly documented, the problem with patents is related to video codecs such as Sorenson and MPEG.

QTVR isn't video, it is just JPEG compressed images wrapped up in a .mov container.  FreePV doesn't implement any codecs, it uses libjpeg for decoding the data.
Comment 3 Nicolas Chauvet (kwizart) 2009-07-01 11:50:10 EDT
FE-Legal remains blocked, do we still need advices ?
Searching about patent QuickTimeVR over the web seems to output a weird thing held by iPIX from 1999.
Comment 4 Bruno Postle 2009-07-01 12:25:16 EDT
IPIX made various claims over panorama creation, I'm not aware that panorama viewers were ever threatened.

Since submitting this package I discovered it doesn't compile with the xulrunner in F11, I patched it up but now it fails at runtime - This is something for upstream to fix I think, so I'll close and reopen if a fixed version becomes available.
Comment 5 Nicolas Chauvet (kwizart) 2009-07-01 12:38:25 EDT
Okay, please cc'd wherever this package ends. I would be interested in it given the GSoC link at videolan.org
Comment 6 Bruno Postle 2009-07-01 16:19:35 EDT
Just updating the status of this project: VLC is getting QTVR playback via freepv as part GSoC 2009, which was my incentive for submitting freepv.  However it looks possible that in order to use the internal VLC QuickTime parser the code will be ported rather than link to libfreepv.  It's only mid-term so this isn't certain.

Note You need to log in before you can comment on or make changes to this bug.